Bug 1226636

Summary: salt-minion-2015.5.0 needs package 'which' installed
Product: [Fedora] Fedora Reporter: Jens Falsmar Oechsler <joe>
Component: saltAssignee: Clint Savage <herlo1>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 21CC: andrewniemants, erik, herlo1
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: salt-2015.5.2-3.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-25 08:20:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jens Falsmar Oechsler 2015-05-31 10:03:41 UTC
Description of problem:
Update from salt-minion 2014.7 to 2015.5.0 (and 2015.5.1) on Fedora 21 cloud image results in salt-minion not being able to start. It was solved by installing 'which'.

# salt-minion -l debug

[DEBUG   ] Reading configuration from /etc/salt/minion
[INFO    ] The salt minion is shut down
[ERROR   ] 'cmd.run_stdout'
[WARNING ] ** Restarting minion **


Version-Release number of selected component (if applicable):
2015.5.0 (and 2015.5.1)

How reproducible:
Always

Steps to Reproduce:
1. Install salt-minion 2014.7
2. Update salt-minion to 2015.5.0
3. Start service salt-minion

Actual results:
salt-minion package does not install 'which' and fails to start

Expected results:
salt-minion has dependencies installed and starts successfully. 

Additional info:
I do not recall where I found a post about needing 'which' installed. It is not clear from the debug output what the problem is.

Comment 1 Fedora Update System 2015-06-01 14:47:47 UTC
salt-2015.5.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-2015.5.1-2.el6

Comment 2 Fedora Update System 2015-06-01 14:49:37 UTC
salt-2015.5.1-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/salt-2015.5.1-2.el7

Comment 3 Fedora Update System 2015-06-01 14:52:02 UTC
salt-2015.5.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/salt-2015.5.1-2.fc20

Comment 4 Fedora Update System 2015-06-01 14:56:57 UTC
salt-2015.5.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/salt-2015.5.1-2.fc21

Comment 5 Fedora Update System 2015-06-01 14:58:30 UTC
salt-2015.5.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/salt-2015.5.1-2.fc22

Comment 6 Fedora Update System 2015-06-02 15:12:14 UTC
Package salt-2015.5.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing salt-2015.5.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9298/salt-2015.5.1-2.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-06-04 22:22:53 UTC
salt-2015.5.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-2015.5.2-2.el6

Comment 8 Fedora Update System 2015-06-04 23:08:14 UTC
salt-2015.5.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/salt-2015.5.2-2.el7

Comment 9 Fedora Update System 2015-06-04 23:35:39 UTC
salt-2015.5.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/salt-2015.5.2-2.fc20

Comment 10 Fedora Update System 2015-06-04 23:38:19 UTC
salt-2015.5.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/salt-2015.5.2-2.fc21

Comment 11 Fedora Update System 2015-06-04 23:40:16 UTC
salt-2015.5.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/salt-2015.5.2-2.fc22

Comment 12 Fedora Update System 2015-06-08 19:43:42 UTC
salt-2015.5.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-2015.5.2-3.el6

Comment 13 Fedora Update System 2015-06-08 19:44:59 UTC
salt-2015.5.2-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/salt-2015.5.2-3.el7

Comment 14 Fedora Update System 2015-06-08 19:45:35 UTC
salt-2015.5.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/salt-2015.5.2-3.fc20

Comment 15 Fedora Update System 2015-06-08 19:46:18 UTC
salt-2015.5.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/salt-2015.5.2-3.fc21

Comment 16 Fedora Update System 2015-06-08 19:53:46 UTC
salt-2015.5.2-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/salt-2015.5.2-3.fc22

Comment 17 Fedora Update System 2015-06-25 08:20:07 UTC
salt-2015.5.2-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-25 08:25:27 UTC
salt-2015.5.2-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-25 23:55:27 UTC
salt-2015.5.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-06-25 23:58:00 UTC
salt-2015.5.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.